#Called by user with /function command or by clicking uninstall in datapack infos


tellraw @s { "translate": "%s uninstalling", "color": "red","with":[{"translate":"Potion Bag"}] }
tellraw @s { "translate": "All remaining potion bags will behave like a basic potion", "color": "red" }


#Clearing storage
data remove storage lordphenex:potion_bag scheduledOperations
data remove storage lordphenex:potion_bag Inventory
data remove storage lordphenex:potion_bag NewPotions
data remove storage lordphenex:potion_bag ExtraPotions
data remove storage lordphenex:potion_bag Return
data remove storage lordphenex:potion_bag Potion
data remove storage lordphenex:potion_bag Item
data remove storage lordphenex:potion_bag BottleId


#Clearing scoreboards
scoreboard objectives remove LP_Potion_Bag 
scoreboard objectives remove LP_PB_drop_p
scoreboard objectives remove LP_PB_drop_sp
scoreboard objectives remove LP_PB_drop_lp
scoreboard objectives remove LP_PB_throw_sp
scoreboard objectives remove LP_PB_throw_lp


#Cleaning advancements
advancement revoke @a only lordphenex:global/potion_bag
advancement revoke @a from lordphenex:potion_bag/root


#Disabling pack
scoreboard objectives add LP_uninstall dummy
execute store success score uninstall_success LP_uninstall run datapack disable "file/Potion Bag"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/Potion Bag.zip"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/lordphenex-potion-bag-1-20-4-v-2-2.zip"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/lordphenex-potion-bag-1-20-4-v-2-2"
execute if score uninstall_success LP_uninstall matches 0 run tellraw @s ["",{"translate":"Unable to uninstall the pack, please check datapack folder name then use following command","color":"red"},{"text":"\n"},{"text":" /datapack disable \"file/<pack_folder_name>\"","color":"aqua"}]
execute if score uninstall_success LP_uninstall matches 1 run tellraw @a [{"text":"- ","color":"green"},{"translate":"%s has been uninstalled","color":"green","with":[{"translate":"Potion Bag"}]}]
scoreboard objectives remove LP_uninstall