#Called by advancement consume_potion.json when player drinks a potion from the potion bag


data remove storage lordphenex:potion_bag Potion
data remove storage lordphenex:potion_bag tempSchedule


tag @s add lordphenex.potion_bag.drinker

#Getting potion bag data
execute if data entity @s {SelectedItem:{id:"minecraft:potion"}} run tag @s add lordphenex.potion_bag.mainhand
execute if data entity @s[tag=!lordphenex.potion_bag.mainhand] {Inventory:[{id:"minecraft:potion",Slot:-106b}]} run tag @s add lordphenex.potion_bag.offhand


execute if entity @s[tag=lordphenex.potion_bag.mainhand] run data modify storage lordphenex:potion_bag Potion.potions set from entity @s SelectedItem.tag.lordphenex.potions
execute if entity @s[tag=lordphenex.potion_bag.offhand] run data modify storage lordphenex:potion_bag Potion.potions set from entity @s Inventory.[{id:"minecraft:potion",Slot:-106b}].tag.lordphenex.potions

tellraw @s[tag=lordphenex.debug] ["",{"text":"drink//get_data : Potion\n","color":"aqua"},{"nbt":"Potion","storage":"lordphenex:potion_bag"}]
tellraw @s[tag=lordphenex.debug] ["",{"text":"drink//get_data : Drinker tags\n","color":"aqua"},{"nbt":"Tags","entity":"@s"}]


#Getting info needed for next tick (glass bottle replaces held potion after this function is called)
execute store result score .currentTime LP_Potion_Bag run time query gametime
execute store result storage lordphenex:potion_bag tempSchedule.gametime int 1 run scoreboard players add .currentTime LP_Potion_Bag 1
data modify storage lordphenex:potion_bag tempSchedule.UUID set from entity @s UUID
data modify storage lordphenex:potion_bag tempSchedule.data.Potion set from storage lordphenex:potion_bag Potion
data modify storage lordphenex:potion_bag scheduledOperations append from storage lordphenex:potion_bag tempSchedule

tellraw @s[tag=lordphenex.debug] ["",{"text":"drink//get_data : Scheduled Op\n","color":"aqua"},{"nbt":"scheduledOperations","storage":"lordphenex:potion_bag"}]

schedule function lordphenex:potion_bag/drink/scheduled_give_potion 1t append


data remove storage lordphenex:potion_bag Potion
data remove storage lordphenex:potion_bag tempSchedule
scoreboard players reset .currentTime LP_Potion_Bag

advancement revoke @s only lordphenex:potion_bag/consume_potion